#!/bin/csh 
#
#    
#      Trommler - X11 Drum Machine
#      Copyright (C) 1998-2002 Robert Muth <trommler@muth.org>
#
#      This program is free software; you can redistribute it and/or modify
#      it under the terms of the GNU General Public License as published by
#      the Free Software Foundation; version 2 of June 1991.

#      This program is distributed in the hope that it will be useful,
#      but WITHOUT ANY WARRANTY; without even the implied warranty of
#      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#      GNU General Public License for more details.
#
#      You should have received a copy of the GNU General Public License
#      along with this program in form of the file COPYING; 
#      if not, write to the 
#
#      Free Software Foundation, Inc. <http://www.fsf.org>
#      59 Temple Place, Suite 330, 
#      Boston, MA 02111-1307  USA
#
#      $Id: code-checker.csh,v 1.1 2002/11/30 16:59:28 muth Exp $


set tmp = tmpfile
set cfiles =  "*.c"
set hfiles  = "*.h"
set afiles  = "*.c *.h"

grep -n "extern " $cfiles /dev/null | sed -e 's/$/ :: Extern is not allowed in c files/'

foreach i ($afiles)
    cat -T $i | egrep -n "\^I" | sed -e "s+^+${i}:+g" | sed -e 's/$/ :: Delete tab (\^I)/'
    cut -b "132-" $i | egrep -nv '^$' | sed -e "s+^+${i}:+g" | sed -e 's/$/ :: Line too long/'
end

foreach i ($cfiles)
    egrep -n -v '^(namespace|using|[#\{\} ]|LOCAL|GLOBAL|MEMBER|/\*|\*/|//|$)' $i /dev/null | sed -e 's/$/ :: Missing marker/'
end


#
# eof
#
