/*
    std.h
    
    Trommler - X11 Drum Machine
    Copyright (C) 1998-2002 Robert Muth <trommler@muth.org>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; version 2 of June 1991.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program in form of the file COPYING; 
    if not, write to the 

    Free Software Foundation, Inc. <http://www.fsf.org>
    59 Temple Place, Suite 330, 
    Boston, MA 02111-1307  USA

    $Id: std.h,v 1.1 2002/11/30 16:59:28 muth Exp $
*/

#ifndef _STD_H
#define _STD_H

/* ==================================================== */

#define QASSERT(c,m,f,l)   \
  do{ if(c) break;  fputs(f " : " #l " "  m,stdout); exit(-1);}  while(0)

#define ASSERTX(m)  QASSERT(0,m,__FILE__,__LINE__)
#define ASSERT(c,m) QASSERT(c,m,__FILE__,__LINE__)

/* ==================================================== */

typedef signed short INT16;
typedef unsigned short UINT16;

typedef signed int   INT32;
typedef unsigned int   UINT32;

typedef signed char  INT8;
typedef unsigned char  UINT8;

typedef char  CHAR;
typedef unsigned char BOOL;

typedef void VOID;

/* ==================================================== */

#define GLOBALVAR
#define GLOBALFUN

#define LOCALVAR static
#define LOCALFUN static
#define LOCALTYPE

#endif













